summaryrefslogtreecommitdiffstats
path: root/source/l/SDL2
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-12-09 00:32:51 +0000
committer Eric Hameleers <alien@slackware.com>2018-12-09 08:59:44 +0100
commitaf6461870236216471f4bb4114d39d079bd2a8ca (patch)
tree9ac07fb5d65b131efe43ebf59ed90efc3efe0dcf /source/l/SDL2
parentbeeee4227cedd89e351f22334d90e939fcded9a7 (diff)
downloadcurrent-af6461870236216471f4bb4114d39d079bd2a8ca.tar.gz
current-af6461870236216471f4bb4114d39d079bd2a8ca.tar.xz
Sun Dec 9 00:32:51 UTC 201820181209003251
a/kernel-generic-4.19.8-x86_64-1.txz: Upgraded. a/kernel-huge-4.19.8-x86_64-1.txz: Upgraded. a/kernel-modules-4.19.8-x86_64-1.txz: Upgraded. d/kernel-headers-4.19.8-x86-1.txz: Upgraded. k/kernel-source-4.19.8-noarch-1.txz: Upgraded. l/SDL2-2.0.9-x86_64-3.txz: Rebuilt. Applied upstream patch to fix controller rumble. Thanks to orbea. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/l/SDL2')
-rwxr-xr-xsource/l/SDL2/SDL2.SlackBuild3
-rw-r--r--source/l/SDL2/SDL2.periodic.magnitude.patch20
2 files changed, 22 insertions, 1 deletions
diff --git a/source/l/SDL2/SDL2.SlackBuild b/source/l/SDL2/SDL2.SlackBuild
index 5c57685ad..6f576b85c 100755
--- a/source/l/SDL2/SDL2.SlackBuild
+++ b/source/l/SDL2/SDL2.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=SDL2
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -79,6 +79,7 @@ tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
zcat $CWD/SDL2.SDL_syswm.h.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/SDL2.periodic.magnitude.patch.gz | patch -p1 --verbose || exit 1
chown -R root:root .
find . \
diff --git a/source/l/SDL2/SDL2.periodic.magnitude.patch b/source/l/SDL2/SDL2.periodic.magnitude.patch
new file mode 100644
index 000000000..2ac8756c6
--- /dev/null
+++ b/source/l/SDL2/SDL2.periodic.magnitude.patch
@@ -0,0 +1,20 @@
+# HG changeset patch
+# User Ethan Lee <flibitijibibo@flibitijibibo.com>
+# Date 1544124378 18000
+# Node ID 1f8d0b1afe07d1cef54d05b46770ac2c5c8f0c09
+# Parent 99d8b18acf8a2a5f8344150ca55c3b3f382bab2f
+Linux Haptic: Fix periodic.magnitude value
+
+diff -r 99d8b18acf8a -r 1f8d0b1afe07 src/haptic/linux/SDL_syshaptic.c
+--- a/src/haptic/linux/SDL_syshaptic.c Sat Dec 08 11:22:50 2018 -0800
++++ b/src/haptic/linux/SDL_syshaptic.c Thu Dec 06 14:26:18 2018 -0500
+@@ -801,8 +801,7 @@
+ else if (periodic->type == SDL_HAPTIC_SAWTOOTHDOWN)
+ dest->u.periodic.waveform = FF_SAW_DOWN;
+ dest->u.periodic.period = CLAMP(periodic->period);
+- /* Linux expects 0-65535, so multiply by 2 */
+- dest->u.periodic.magnitude = CLAMP(periodic->magnitude) * 2;
++ dest->u.periodic.magnitude = periodic->magnitude;
+ dest->u.periodic.offset = periodic->offset;
+ /* Linux phase is defined in interval "[0x0000, 0x10000[", corresponds with "[0deg, 360deg[" phase shift. */
+ dest->u.periodic.phase = ((Uint32)periodic->phase * 0x10000U) / 36000;